Summary:        PEAR: A package for handling Kolab data stored on an IMAP server

Name:           php-pear-Horde-Kolab-Storage
Version:        2.1.2
Release:        1.lux.1
License:        LGPL
Group:          Development/Libraries/PHP
Source0:        http://pear.horde.org/get/Horde_Kolab_Storage-%{version}.tgz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Url:            http://pear.horde.org/package/Horde_Kolab_Storage
BuildRequires:	php-pear >= 1.7.0
BuildRequires:  php-pear-channel-horde
Requires:       php-pear-channel-horde
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php >= 5.3.0
Requires:	php-pear >= 1.7.0
Requires:	php-pear-Horde-Cache >= 2.0.0
Requires:	php-pear-Horde-Cache <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Cache = 3.0.0alpha1
Requires:	php-pear-Horde-Exception >= 2.0.0
Requires:	php-pear-Horde-Exception <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Exception = 3.0.0alpha1
Requires:	php-pear-Horde-Kolab-Format >= 2.0.0
Requires:	php-pear-Horde-Kolab-Format <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Kolab-Format = 3.0.0alpha1
Requires:	php-pear-Horde-Mime >= 2.0.0
Requires:	php-pear-Horde-Mime <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Mime = 3.0.0alpha1
Requires:	php-pear-Horde-Support >= 2.0.0
Requires:	php-pear-Horde-Support <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Support = 3.0.0alpha1
Requires:	php-pear-Horde-Translation >= 2.2.0
Requires:	php-pear-Horde-Translation <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Translation = 3.0.0alpha1
Requires:	php-pear-Horde-Util >= 2.0.0
Requires:	php-pear-Horde-Util <= 3.0.0alpha1
Conflicts:	php-pear-Horde-Util = 3.0.0alpha1
BuildArch:      noarch
%define pear_name  Horde_Kolab_Storage
%define pear_sname horde_kolab_storage
# Fix for renaming (package convention)
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       php-pear-%{pear_sname} = %{version}
Provides:       pear-%{pear_sname} = %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      php-pear-%{pear_sname} < %{version}
Obsoletes:      pear-%{pear_sname} < %{version}

%description
Storing user data in an IMAP account belonging to the user is one of the
Kolab server core concepts. This package provides all the necessary means
to deal with this type of data storage effectively.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{pear_phpdir} \
        -d doc_dir=%{_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{pear_phpdir}/data \
        -d test_dir=%{pear_phpdir}/test \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
[ -d %{buildroot}/%{_docdir}/%{pear_name} ] && mv %{buildroot}/%{_docdir}/%{pear_name} %{buildroot}/%{_docdir}/%{name}-%{version}
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{pear_phpdir}/.filemap
rm %{buildroot}/%{pear_phpdir}/.lock
rm -rf %{buildroot}/%{pear_phpdir}/.registry
rm -rf %{buildroot}%{pear_phpdir}/.channels
rm %{buildroot}%{pear_phpdir}/.depdb
rm %{buildroot}%{pear_phpdir}/.depdblock
# Install XML package description
mkdir -p %{buildroot}%{pear_xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{pear_xmldir}/Horde_Kolab_Storage.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{pear_xmldir}/Horde_Kolab_Storage.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Kolab_Storage
fi

%files
%defattr(-,root,root)
%{pear_phpdir}/data/%{pear_name}
%{pear_phpdir}/test/%{pear_name}
%{pear_phpdir}/Horde/*
%doc %{_docdir}/%{name}-%{version}
%{pear_xmldir}/Horde_Kolab_Storage.xml

%changelog
